﻿using System;
using Windows.Devices.Enumeration;

namespace Plane.Communication
{
    /// <summary>
    /// 设备访问被拒绝时引发的异常。
    /// </summary>
    public class DeviceAccessDeniedException : Exception
    {
        public DeviceAccessDeniedException(string message, DeviceAccessStatus deviceAccessStatus) : base(message)
        {
            DeviceAccessStatus = deviceAccessStatus;
        }

        public DeviceAccessStatus DeviceAccessStatus { get; set; }
    }
}